[Overview][Classes][Procedures and functions][Index] | Reference for unit 'streamcoll' (#fcl)

# TStreamCollectionItem

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Collection item with streaming support

## Declaration

Source position: streamcoll.pp line 23

`type TStreamCollectionItem = class(TCollectionItem)`
`end;`

## Inheritance

`TStreamCollectionItem` |  | Collection item with streaming support
`TCollectionItem`
`TPersistent,IFPObserved`
`TObject`

## Description

TStreamCollectionItem is a TCollectionItem descendent which implements 2 abstract routines: LoadFromStream and SaveToStream which must be overridden in a descendent class.

These 2 routines will be called by the TStreamCollection to save or load the item from the stream.

## See also

TStreamCollection |  | Collection with stream support